mindoc插入影音的办法(markdown)
插入本地视频
1. 上传视频并获取地址
在mindoc目录的uploads中新建一个video文件夹
把相关视频复制进去
以大图标方式查看，如果该文件无法显示片头图片，则格式编码兼容性有问题，很大可能无法在线播放，
需进行转码处理。
视频绝对网址为 http://网站/uploads/video/文件名
这里的http://网站可省略,省略后的视频相对网址为:
/uploads/video/文件名
2. 插入视频
iframe方式
```
<iframe width="600px" height="400px" src=""/uploads/video/ZT400系列更换打印头.mp4" >
</iframe>
```

这里的" "号如果偷懒也可以省略，不影响实际显示。
```
<iframe width=600px height=400px src=/uploads/video/ZT400系列更换打印头.mp4 >
</iframe>
```
video方式
```
<video width="600px" height="400px" controls>
<source src="/uploads/video/ZT400系列更换打印头.mp4 " type="video/mp4">
</video>
<video width=600 height=400 controls>
<source src=/uploads/video/ZT400系列更换打印头.mp4>
</video>
```
<video width="600px" height="400px" controls>
<source src="/uploads/video/ZT400系列更换打印头.mp4 " type="video/mp4">
</video>

插入其他资源

1. 插入本地gif动图
```
<iframe width="500px" height="270px"scrolling="no"
src="/uploads/video/test.gif">
</iframe>
```
2. 插入本地音频
```
<video width="80%" height="80px" controls>
<source src="/uploads/video/su.mp3 " >
</video>
```
样式如下:
<video width="80%" height="80px" controls>
<source src="/uploads/video/su.mp3 " >
</video>

3. 插入网络视频
b站，视频下方点分享然后复制嵌入代码
效果如下：
同样，也可以省略成这样: 注:生产环境为稳定起见最好别省略4。
插入pdf
在uploads下新建一个book文件夹，把pdf文件放进去
方法一：iframe方式
```
<iframe width="1000" height="1200" id="iframepdf"
src="/uploads/book/zm600快速安装.pdf">
</iframe>
```

显示效果：

方法二：object方式

```
<object width="1000" height="1200"
data="/uploads/book/zm600快速安装.pdf" type="application/pdf">
<div>No online PDF viewer installed</div>
</object>
```

作为一个知识库，势必有大批PDF格式的厂家说明书，总不能全部上传为附件，然后在网页上下载
下来本地看吧？在线看是必然的需求。
显示效果:
<object width="1000" height="1200"
data="/uploads/book/zm600快速安装.pdf" type="application/pdf">
<div>No online PDF viewer installed</div>
</object>

注：以上两种方式都需要chrome或edge浏览器。IE如果未装PDF的插件是无法在线看PDF的。

5. iframe的其他应用
插入天气预报等……
到天气预报的插件网站选一个款式
https://www.tianqi.com/plugin/
插入doc
代码

```
<iframe src='https://view.officeapps.live.com/op/embed.aspx?
src=https://pymo.github.io/PYMO教程.doc'
width='100%' height='565px' frameborder='0'>
</iframe>
```

由于iframe本质是插入一个外部网页的子窗口,所以你还可以…
其实用途不大，原理是使用微软的office官网api读取网站上的doc文件然后在线显示出来，故此内
网无法使用，因为微软无法读取内网里的doc。如果实在是有DOC要在线看，建议还是转成PDF后插
入。
src后替换为要访问的doc绝对网址显示效果：
备注：
新版的配置文件conf\app.conf默认是禁止iframe的
默认:enable_iframe = "${MINDOC_ENABLE_IFRAME||false}"
改为:enable_iframe = "${MINDOC_ENABLE_IFRAME||true}"
无论是iframe或video插入的资源都可通过width和height调整长宽
width="600px" height="400px" 宽600像素，高400像素,这里的px可省略
width="80%" height="20%" 宽为页面的80%，高为页面的20%
需将false改为true，否则插入iframe代码无效。